Subject: bug#20202: Considered Harmful 73d213: 'Comint, term, and compile new set Emacs'

From: Paul Eggert <[email-masked]>
Date: Fri, 8 Apr 2016 13:50:23 -0700

Thanks for persisting with this, Phillip, and for doing the legwork in 
seeing what other shells do. It does seem that the EMACS='t' setting can 
safely be removed, given what we've seen. We will still need the 
EMACS='25.1 (term:0.96)' setting in term-exec-1 for quite some time, for 
compatibility with Bash 4.3 and earlier. I installed the attached patch 
into emacs-25 to try to get this done for the next release. This should 
not affect Bug#20484, which should still be fixed. Most of Bug#20202 
should be fixed now; the exceptions are M-x term and the like.